Olympus Docs
ReferenceAPIsOry Identities APIfrontend

Perform Logout for Native Apps

Use this endpoint to log out an identity using an Ory Session Token. If the Ory Session Token was successfully

DELETE /self-service/logout/api

Use this endpoint to log out an identity using an Ory Session Token. If the Ory Session Token was successfully revoked, the server returns a 204 No Content response. A 204 No Content response is also sent when the Ory Session Token has been revoked already before.

If the Ory Session Token is malformed or does not exist a 403 Forbidden response will be returned.

This endpoint does not remove any HTTP Cookies - use the Browser-Based Self-Service Logout Flow instead.

Operation ID: performNativeLogout    Tag: frontend

Request body

Content-Type: application/json

Type: object

Schema: performNativeLogoutBody, see the Ory Identities API schemas reference for the full type.

Responses

StatusDescriptionBody
204Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204.-
400errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Generated from /tmp/kratos-api.json at build time.

On this page